<div class="container-fluid">
    <%- include("./_editQuestionHeader") %>
    <%- include("./_editQuestionToolbar") %>
    <%- include("./_editQuestionDataObject") %>

    <div class="row mb-2" >
        <div class="col-6 card card-body" id="preview-left">
            <% if (!question.is_active) { %>
                <div class="question-preview__overlay">DISABLED</div>
            <% } %>
            <div class="row d-flex justify-content-between">
                <div class="d-flex align-items-baseline"><h4 class="card-title">Question </h4> <small>( GitHub flavored markdown)</small></div>
                <div class="ml-2">
                    <button id="btnInsertDiagram" class="btn btn-outline-secondary"><i class="fas fa-project-diagram"></i></button>
                    &nbsp;
                    &nbsp;
                    &nbsp;
                    <small>
                        <a href="https://github.com/adam-p/markdown-here/wiki/Markdown-Cheatsheet" target="_blank">MD Cheat sheet</a>
                        <a href="http://www.tablesgenerator.com/markdown_tables" target="_blank">Tables generator</a>
                        <a href="https://jbt.github.io/markdown-editor/" target="_blank">Online editor</a>
                        <a href="https://arachnoid.com/latex/" target="_blank">Formulas editor</a>
                    </small>
                </div>
            </div>
            <div class="row card-body card p-2">
                <textarea id="question_text" name="question_text" data-a2-type="mdtext" style="min-height: 500px;"><%-question.question_text%></textarea>
                <% if (sql_answer) { %>
                 Projection (π), Selection (σ), Rename (ρ), Natural join( ⋈ ), θ-join, Semijoin (⋉)(⋊), Antijoin (▷), Division (÷), Left
                    outer join (⟕),Right outer join (⟖),Full outer join (⟗)
                <% } %>
                <% if (question.type_name.toUpperCase().indexOf('C-LANG') >= 0 || question.type_name.toUpperCase().indexOf('JAVA') || question.type_name.toUpperCase().indexOf('CODE')>= 0) { %>
                    Whitespace placeholders (please C/P): · ↵
                <% } %>
            </div>
            <div class="row card-body card p-2 mt-2 d-flex">

                <div><label for="question_tags">Tags</label></div>
                <div>
                    <%  locals.combodata = {id: "question_tags[]", list:tags, name:"question_tags[]", selected: selectedTags, attributes: 'multiple', class: 'chosen-select '}; %>
                    <%- include(`${locals.partialsRoot}/combo`) %>
                </div>

            </div>
            <% if (answers.length) { %>
                <% if (question.type_name.toUpperCase().indexOf('ABC') >= 0) { %>
                    <%- include("./_editQuestionABC")  %>
                <% } else if (question.type_name.toUpperCase().indexOf('TRUE/FALSE') >= 0) { %>
                    <%- include("./_editQuestionTrueFalse") %>
                <% } else if (question.type_name.toUpperCase().indexOf('CONNECTEDELEMENTS') >= 0) { %>
                    <%- include("./_editQuestionConnectedElements") %>
                <% } else if (question.type_name.toUpperCase().indexOf('ORDEREDELEMENTS') >= 0) { %>
                    <%- include("./_editQuestionOrderedElements") %>
                <% } %>
            <% } %>


        </div>
        <div class="col-6 card card-body" id="preview-right">
            <% if (!question.is_active) { %>
                <div class="question-preview__overlay">DISABLED</div>
            <% } %>
            <div class="row d-flex justify-content-between">
                <h4 class="card-title">Preview:</h4>
                <button class="btn btn-outline-info"
                    tooltip="See console for render log..."
                    type="button"
                    id="btnRenderTemplate"
                    id_question="<%=question.id%>">Render template</button>
                <button class="btn btn-outline-secondary" type="button" id="btnSsRender" name="ssrender" value="ssrender" >Server-side render(formulas)</button>
            </div>
            <div id="preview" enhance-md data-a2-type="preview" data-a2-src="question_text" class="w-100 p-2 border rounded">
                Preview
            </div>
            <% if (answers.length) { %>
                <% if (question.type_name.toUpperCase().indexOf('ABC') >= 0) { %>
                    <%- include("./_editQuestionABCPreview")  %>
                <% } else if (question.type_name.toUpperCase().indexOf('TRUE/FALSE') >= 0) { %>
                    <%- include("./_editQuestionTrueFalsePreview") %>
                <% } else if (question.type_name.toUpperCase().indexOf('CONNECTEDELEMENTS') >= 0) { %>
                    <%- include("./_editQuestionConnectedElementsPreview") %>
                <% } else if (question.type_name.toUpperCase().indexOf('ORDEREDELEMENTS') >= 0) { %>
                    <%- include("./_editQuestionOrderedElementsPreview") %>
                <% } %>
            <% } %>

        </div>
    </div>
    <%- include("./_editQuestionEvalScript") %>
    <%- include("./_editQuestionAttachments")  %>
    <% if (sql_answer) { %>
        <%- include("./_editQuestionSQL")  %>
    <% } else if (question.type_name.toUpperCase().indexOf('C-LANG') >= 0 || question.type_name.toUpperCase().indexOf('JAVA') >= 0 || question.type_name.toUpperCase().indexOf('CODE') >= 0) { %>
        <%- include("./_editQuestionCode")  %>
    <% } else if (question.type_name.toUpperCase().indexOf('JSON') >= 0) { %>
    <%- include("./_editQuestionJSON")  %>
    <% } else if (question.type_name.toUpperCase().indexOf('FREE TEXT') >= 0) { %>
        <%- include("./_editQuestionFreeText")  %>
    <% } else if (question.type_name.toUpperCase().indexOf('DIAGRAM QUESTION') >= 0) { %>
        <%- include("./_editQuestionDiagram")  %>
    <% } else if (question.type_name.toUpperCase().indexOf('SCALE') >= 0) { %>

        <div class="row mt-3 card card-block p-3">
            <h5>Scale:</h5>
            <% locals.combodata = {id: "id_scale", list: question_scale, name: "id_scale", selected: question_scale[0].selected }; %>
            <%- include(`${locals.partialsRoot}/combo`) %>
        </div>
    <% } else if (!answers.length){ %>
        <h2>No additional data for question type:<%=question.type_name.toUpperCase()%> </h2>
    <% }%>


    <div class="row mt-3" >
        <div class="col-6 card card-block pt-3 pb-3" id="preview-left">
            <h6 class="card-title">Question comment( optional; GH markdown) </h6>
            <div class="container-fluid">
                <textarea id="question_comment" name="question_comment" data-a2-type="mdtext"
                    style="min-height: 200px;"><%-question.question_comment%></textarea>
            </div>
        </div>
        <div class="col-6 card card-block pt-3 pb-3" id="preview-comment-right">
            <h5 class="card-title">Comment preview: </h5>
            <div id="previewQuestionComment" enhance-md data-a2-type="preview" data-a2-src="question_comment" class="container-fluid" style="border: 1px solid #D3D3D3;">
                Preview
            </div>
        </div>
    </div>

    <div class="row mt-3" >
        <div class="col-6 card card-block pt-3 pb-3">
            <div class="d-flex justify-content-between">
              <h5 class="card-title">Grader object (optional)
                <a target="_blank" href="/help/questiongraderobject"><i class="fas fa-question-circle"></i></a>
              </h5>
              <div>
                Init boilerplate:
                <button id="btnGraderBoilerPlateDeduct" class="btn btn-primary">Deduct</button>
                <button id="btnGraderBoilerPlateAdd" class="btn btn-primary">Add</button>
                <button id="btnGraderBoilerPlateMixed" class="btn btn-primary">Mixed</button>
              </div>
            </div>
            <div class="container-fluid mt-3">
                <textarea id="grader_object" name="grader_object" data-a2-type="jsoncode"
                    style="min-height: 200px;"><%-question.grader_object%></textarea>
            </div>
        </div>
        <div class="col-3 card card-block pt-3 pb-3" id="grader-preview-right">
            <button id="btnParseGraderObject" class="btn btn-primary mb-4">Parse grader object</button>
            <div id="graderObjectContainer" class="container-fluid"></div>
        </div>
        <div class="col-3 card card-block pt-3 pb-3" id="grader-preview-right">
            <h6 class="card-title">Grader comment preview: </h6>
            <textarea
                id="graderCommentPreview"
                rows="20"
                style="min-height: 200px;">click parse to see grader preview here
            </textarea>
        </div>
    </div>

    </form>
</div>
